#ifndef LSLUA_EXPORTS_HPP_INCLUDED
#define LSLUA_EXPORTS_HPP_INCLUDED

#if _MSC_VER > 1020
#  pragma once
#endif // _MSC_VER

//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
//  exports.hpp
//  This is a part of the lslua source code.
//
//  Copyright (C) 2003 ilmcuts.
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

#include <windows.h>


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// helper macro
//
#ifdef LSLUA_EXPORTS
#define LSLUA_API __declspec(dllexport)
#else
#define LSLUA_API __declspec(dllimport)
#endif


//=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-
//
// exported functions
//
#ifdef __cplusplus
extern "C" {
#endif // __cplusplus

LSLUA_API int initModuleEx(HWND hLiteStep, HINSTANCE hInstance, LPCSTR szLSpath);
LSLUA_API void quitModule(HINSTANCE hInstance);
	
#ifdef __cplusplus
}
#endif // __cplusplus


#endif // !defined(LSLUA_EXPORTS_HPP_INCLUDED)
